# Generated from schleuder-5.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name schleuder

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?dist}
Summary: Schleuder is an encrypting mailing list manager with remailing-capabilities
License: GPL-3.0
URL: https://schleuder.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1.0
# BuildRequires: rubygem(byebug) >= 11
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(database_cleaner) >= 2.0
# BuildRequires: rubygem(database_cleaner) < 3
# BuildRequires: rubygem(factory_bot) >= 6.0
# BuildRequires: rubygem(factory_bot) < 7
# BuildRequires: rubygem(hirb)
# BuildRequires: rubygem(hirb) < 1
# BuildRequires: rubygem(irb)
# BuildRequires: rubygem(rack-test) >= 1
# BuildRequires: rubygem(rack-test) < 2
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(simplecov-console)
# BuildRequires: rubygem(simplecov-console) < 1
BuildArch: noarch

%description
Schleuder is a group's email-gateway: subscribers can exchange encrypted
emails among themselves, receive emails from non-subscribers and send emails
to non-subscribers via the list.
(Please note: For some platforms there's a better way of installing Schleuder
than `gem install`. See
<https://schleuder.org/schleuder/docs/server-admins.html#installation> for
details.).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/schleuder
%{_bindir}/schleuder-api-daemon
%{gem_instdir}/bin
%{gem_instdir}/db
%{gem_instdir}/etc
%{gem_libdir}
%{gem_instdir}/locales
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Wed Nov 13 2024 mockbuilder - 5.0.0-1
- Initial package
